Message Boards

Topic: Odamex's PWAD Compatibility list  (Read 883 times)

Offline Ch0wW

  • Posts: 16
  • Ohiiii !
    • View Profile
    • Blog/Website
Odamex's PWAD Compatibility list
« on: January 21, 2019, 04:31:12 »
Greetings everyone,

Given the upcoming 0.8.0 (which arrives really soon), I think it'll be time to make sure to know for the community a PWADs/MegaWADs compatibility list that are guaranteed to work with Odamex.

If you add a WAD to the list, please write the following details, so that it can give the developers better hints in tracking some errors :

Quote
WADNAME
• Can it run without having a crash ?
• Does it have errors in the console ? (i.e. missing or incompatible lumps)
• Can it be played in solo fine ? In multiplayer ? And, can it be fully completable ?
• (OPTIONAL - if vanilla-compatible) Can vanilla demos be playbacked ?
• (OPTIONAL) additionnal infos you might tell us

That way, we could also add entries to the Wiki, so that everyone could be aware of what's working, and what's probably not.
« Last Edit: January 21, 2019, 04:34:36 by Ch0wW »
Your friendly BaseQ admin. :P

Offline Ch0wW

  • Posts: 16
  • Ohiiii !
    • View Profile
    • Blog/Website
Re: Odamex's PWAD Compatibility list
« Reply #1 on: January 21, 2019, 04:33:29 »
--- post reserved for a list --
Your friendly BaseQ admin. :P

Offline Ch0wW

  • Posts: 16
  • Ohiiii !
    • View Profile
    • Blog/Website
Re: Odamex's PWAD Compatibility list
« Reply #2 on: January 23, 2019, 12:49:02 »
DEUS VULT II
Code: [Select]
• Can run this PWAD without a crash on startup
• Does have lots of MAPINFO errors in the console
• Can't be played both on solo and coop, as MAP01 can't be completed.
• Unknown about vanilla demos
• Looks like this PWAD is relying a lot about the Voodoo dolls. And one voodoo doll is behind MAP01's exit.
« Last Edit: January 25, 2019, 11:37:43 by Ch0wW »
Your friendly BaseQ admin. :P

Offline Ch0wW

  • Posts: 16
  • Ohiiii !
    • View Profile
    • Blog/Website
Re: Odamex's PWAD Compatibility list
« Reply #3 on: January 25, 2019, 11:27:41 »
FREEDOOM : Phase 1/2 (v 0.11.3)
Code: [Select]
• Can run this IWAD without a crash on startup
• Does have a few unknown GSTRINGS (GOTREDSKULL / HUSTR_PLRGREEN / HUSTR_PLRINDIGO / HUSTR_PLRBROWN / HUSTR_PLRRED / OB_MPROCKET / OB_MPBFG_MBF)
• Looks like the entire IWAD can be played
• Unknown about vanilla demos, but it should have no problem playbacking them
• In multiplayer, "you need a XXX key" are messed up. However, no problem in singleplayer. - EDIT : This bug is now fixed in the nightlies
« Last Edit: January 26, 2019, 18:51:20 by Ch0wW »
Your friendly BaseQ admin. :P

Offline Ch0wW

  • Posts: 16
  • Ohiiii !
    • View Profile
    • Blog/Website
Re: Odamex's PWAD Compatibility list
« Reply #4 on: January 25, 2019, 15:27:53 »
DOOM64 For DOOM 2 (D64D2.WAD)
Code: [Select]
• Can run this PWAD without a crash on startup
• LANGUAGE lump is entirely unsupported (resulting in blank lines everywhere)
• MAP19B is unfinishable ONLINE, as it seem to rely on Voodoo dolls at the very end. Unsure about the other maps.
• Unknown about vanilla demos, but it should have no problem playbacking them
« Last Edit: January 26, 2019, 10:01:16 by Ch0wW »
Your friendly BaseQ admin. :P